<?php
/*
+--------------------------------------------------------------------------
|   CubeCart v3.0.1
|   ========================================
|   by Alistair Brookbanks
|	CubeCart is a Trade Mark of Devellion Limited
|   Copyright Devellion Limited 2005 - 2006. All rights reserved.
|   Devellion Limited,
|   5 Bridge Street,
|   Bishops Stortford,
|   HERTFORDSHIRE.
|   CM23 2JU
|   UNITED KINGDOM
|   http://www.devellion.com
|	UK Private Limited Company No. 5323904
|   ========================================
|   Web: http://www.cubecart.com
|   Date: Friday, 15 July 2005
|   Email: sales (at) cubecart (dot) com
|	License Type: CubeCart is NOT Open Source Software and Limitations Apply 
|   Licence Info: http://www.cubecart.com/site/faq/license.php
+--------------------------------------------------------------------------
|	index.php
|   ========================================
|	Configure Quantum Gateway
+--------------------------------------------------------------------------
*/
include("../../../../includes/ini.inc.php");
include("../../../../includes/global.inc.php");
require_once("../../../../classes/db.inc.php");
$db = new db();
include_once("../../../../includes/functions.inc.php");
$config = fetchDbConfig("config");

include_once("../../../../language/".$config['defaultLang']."/lang.inc.php");
$enableSSl = 1;
include_once("../../../../includes/sslSwitch.inc.php");
include("../../../includes/auth.inc.php");
include("../../../includes/header.inc.php");

if(permission("settings","read")==FALSE){
	header("Location: ".$GLOBALS['rootRel']."admin/401.php");
	exit;
}

if(isset($_POST['module'])){
	include("../../status.php");
	include("../../../includes/functions.inc.php");
	$module = fetchDbConfig($_GET['folder']);
	$msg = writeDbConf($_POST['module'], $_GET['folder'], $module);
	
}
$module = fetchDbConfig($_GET['folder']);
?>

<p><a href="http://www.quantumgateway.com/"><img src="logo.gif" alt="" border="0" title="" /></a></p>
<?php 
if(isset($msg)){ 
	echo stripslashes($msg); 
} 
?>
<p class="copyText">&quot;The next evolution in processing.&quot;</p>

<form action="<?php echo $GLOBALS['rootRel'];?>admin/modules/<?php echo $_GET['module']; ?>/<?php echo $_GET['folder']; ?>/index.php?module=<?php echo $_GET['module']; ?>&amp;folder=<?php echo $_GET['folder']; ?>" method="post" enctype="multipart/form-data">
<table border="0" cellspacing="0" cellpadding="3" class="mainTable">
  <tr>
    <td colspan="2" class="tdTitle">Configuration Settings </td>
  </tr>
  <tr>
    <td align="left" class="tdText"><strong>Status:</strong></td>
    <td class="tdText">
	<select name="module[status]">
		<option value="1" <?php if($module['status']==1) echo "selected='selected'"; ?>>Enabled</option>
		<option value="0" <?php if($module['status']==0) echo "selected='selected'"; ?>>Disabled</option>
    </select>	</td>
  </tr>
   <tr>
  	<td align="left" class="tdText"><strong>Description:</strong>	</td>
    <td class="tdText"><input type="text" name="module[desc]" value="<?php echo $module['desc']; ?>" class="textbox" size="30" /></td>
  </tr>
  <tr>
  <td align="left" class="tdText"><strong>Login Username:</strong></td>
    <td class="tdText"><input type="text" name="module[gwlogin]" value="<?php echo $module['gwlogin']; ?>" class="textbox" size="30" /></td>
  </tr>
   <tr>
     <td align="left" class="tdText"><strong>Enable QuantumGateway To Collect CC#<br />
     </strong>Do you want QuantumGateway to Collect the Credit Card Number?</td>
     <td class="tdText"><select name="module[collectcc]">
       <option value="Y" <?php if($module['collectcc'] == "Y") echo "selected='selected'"; ?>>Yes</option>
       <option value="N" <?php if($module['collectcc'] == "N") echo "selected='selected'"; ?>>No</option>
     </select></td>
   </tr>
   <tr>
     <td align="left" class="tdText"><strong>Enable Restriction Key?</strong></td>
     <td class="tdText"><select name="module[restkeyenabled]">
       <option value="Y" <?php if($module['restkeyenabled'] == "Y") echo "selected='selected'"; ?>>Yes</option>
       <option value="N" <?php if($module['restkeyenabled'] == "N") echo "selected='selected'"; ?>>No</option>
     </select></td>
   </tr>
   <tr>
  <td align="left" class="tdText"><strong>Restrict Key:</strong><br/></td>
    <td class="tdText"><input type="text" name="module[restkey]" value="<?php echo $module['restkey']; ?>" class="textbox" size="30" /></td>
  </tr>
   <tr>
     <td align="left" class="tdText"><strong>Customer Notifications</strong><br />
      Should Quatnumgateway e-mail a receipt to the customer?</td>
     <td class="tdText"><select name="module[override_email_customer]">
       <option value="Y" <?php if($module['override_email_customer'] == "Y") echo "selected='selected'"; ?>>Yes</option>
       <option value="N" <?php if($module['override_email_customer'] == "N") echo "selected='selected'"; ?>>No</option>
     </select></td>
   </tr>
   <tr>
     <td align="left" class="tdText"><strong>Capture CVV2</strong><br />
      Does user must type CVV code?.</td>
     <td class="tdText"><select name="module[usecvv]">
       <option value="Y" <?php if($module['usecvv'] == "Y") echo "selected='selected'"; ?>>Yes</option>
       <option value="N" <?php if($module['usecvv'] == "N") echo "selected='selected'"; ?>>No</option>
     </select></td>
   </tr>
   <tr>
     <td align="left" class="tdText"><strong>Maxmind Fraud Control</strong><br />
      Enable?</td>
     <td class="tdText"><select name="module[maxmind]">
       <option value="1" <?php if($module['maxmind'] == "1") echo "selected='selected'"; ?>>Yes</option>
       <option value="2" <?php if($module['maxmind'] == "2") echo "selected='selected'"; ?>>No</option>
     </select></td>
   </tr>
   <tr>
     <td align="left" class="tdText"><strong>Background Color</strong><br />
      The Background Color in Hex format:</td>
     <td class="tdText"><input type="text" name="module[bgcolor]" value="<?php echo ($module['bgcolor'] == "" ? "#FFFFFF" : $module['bgcolor']); ?>" class="textbox" size="30" /></td>
   </tr>
   <tr>
     <td align="left" class="tdText"><strong>Text Color</strong><br />
      The Color of the Text in Hex format:</td>
     <td class="tdText"><input type="text" name="module[txtcolor]" value="<?php echo ($module['txtcolor'] == "" ? "#000000" : $module['txtcolor']); ?>" class="textbox" size="30" /></td>
   </tr>
   
   <tr>
     <td align="right" class="tdText">&nbsp;</td>
     <td class="tdText">&nbsp;</td>
   </tr>
   <tr>
    <td align="right" class="tdText">&nbsp;</td>
    <td class="tdText"><input type="submit" class="submit" value="Edit Config" /></td>
  </tr>
</table>
</form>
<?php include("../../../includes/footer.inc.php"); ?>